Skip to main content
`Ctrl`+`K`

# TSMonitorLGCtx

Context object for `TS` line-graph monitor routines that plot residuals, iteration counts or solution components at each time step on a `PetscDrawLG`

## Synopsis

    #include <petscts.h>
    typedef struct _n_TSMonitorLGCtx *TSMonitorLGCtx;

## See Also

`TS`, `TSMonitorLGCtxCreate()`, `TSMonitorLGCtxDestroy()`, `TSMonitorLGSolution()`, `TSMonitorLGTimeStep()`, `TSMonitorLGError()`

## Level

developer

## Location

include/petscts.h

## Examples

src/ts/tutorials/extchemfield.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages